{
    attributes = (
        {
            columnName = COMM_ID; 
            externalType = NUMBER; 
            name = commId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = SA_EMAILS; 
            externalType = VARCHAR2; 
            name = saEmails; 
            valueClassName = NSString; 
            valueType = S; 
            width = 4000; 
        }, 
        {
            columnName = SA_LIBELLE; 
            externalType = VARCHAR2; 
            name = saLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 25; 
        }, 
        {
            columnName = VCLO_ID; 
            externalType = NUMBER; 
            name = vcloId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = VLCO_ETAT; 
            externalType = VARCHAR2; 
            name = vlcoEtat; 
            valueClassName = NSString; 
            valueType = S; 
            width = 25; 
        }, 
        {
            columnName = VLCO_VALIDE; 
            externalType = VARCHAR2; 
            name = vlcoValide; 
            valueClassName = NSString; 
            valueType = S; 
            width = 25; 
        }
    ); 
    attributesUsedForLocking = (vcloId, commId, saLibelle, saEmails, vlcoValide, vlcoEtat); 
    className = org.cocktail.fwkcktldepense.server.metier.EOSaCommande; 
    classProperties = (saLibelle, saEmails, commande, vlcoValide, vlcoEtat); 
    externalName = JEFY_DEPENSE.V_SA_COMMANDE; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        _clientClassPropertyNames = (saLibelle, saEmails, commande, vlcoValide, vlcoEtat); 
        _javaClientClassName = org.cocktail.fwkcktldepense.client.metier.EOSaCommande; 
    }; 
    name = FwkCaramboleSaCommande; 
    primaryKeyAttributes = (vcloId); 
    relationships = (
        {
            destination = FwkCaramboleCommande; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = commId; sourceAttribute = commId; }); 
            name = commande; 
        }
    ); 
}
